Get Competitor Child Business
curl --request GET \
--url https://api.birdeye.com/resources/v1/business/{EnterpriseCompetitorBusinessId}/childimport requests
url = "https://api.birdeye.com/resources/v1/business/{EnterpriseCompetitorBusinessId}/child"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/business/{EnterpriseCompetitorBusinessId}/child', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 986031488,
"name": "Central Ohio Endodontics",
"alias": "Central Ohio Endodontics - Dublin, OH",
"address": {
"address1": "5152 Blazer Memorial Pkwy",
"address2": "Ste 102",
"city": "Dublin",
"state": "OH",
"zip": "43017",
"countryCode": "US",
"countryName": "United States of America"
},
"phone": "(614) 896-2801",
"type": "Business",
"status": "active",
"createdOn": "Dec 04, 2013",
"compAccountId": 7876807
},
{
"id": 768996864,
"name": "Environmental Pest Management",
"alias": "Environmental Pest Management - Westerville, OH",
"address": {
"address1": "200 Hoff Rd",
"address2": "Unit P",
"city": "Westerville",
"state": "OH",
"zip": "43082",
"countryCode": "US",
"countryName": "United States of America"
},
"phone": "(614) 771-8605",
"type": "Business",
"status": "active",
"createdOn": "Dec 05, 2013",
"compAccountId": 4567893
},
{
"id": 144670708364016,
"name": "Sub-reseller",
"alias": "Sub-reseller",
"status": "active",
"createdOn": "Nov 05, 2013",
"type": "Reseller",
"childCount": 1
},
{
"id": 144670708364322,
"name": "Holiday Inn",
"alias": "Holiday Inn",
"status": "active",
"createdOn": "Nov 01, 2013",
"type": "Enterprise-Location",
"childCount": 2
}
]{
"code": 1167,
"message": "API key is missing"
}{
"code": 89,
"message": "Rate limit exceeded"
}Competitor
Get Competitor Child Business
GET
/
v1
/
business
/
{EnterpriseCompetitorBusinessId}
/
child
Get Competitor Child Business
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Query Parameters
True for get competitor business of Enterprise Business and False for get Child Business of Enterprise Business.
Response
OK

